From a9e6584b175738ab1551d118eaa1d2dddf6fc0f1 Mon Sep 17 00:00:00 2001
From: antux18 <antux18@gmail.com>
Date: Wed, 13 Mar 2024 11:03:14 +0100
Subject: [PATCH] T2.sh.

---
 ex1/T2.sh | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)
 mode change 100644 => 100755 ex1/T2.sh

diff --git a/ex1/T2.sh b/ex1/T2.sh
old mode 100644
new mode 100755
index ba1d888..8f44c79
--- a/ex1/T2.sh
+++ b/ex1/T2.sh
@@ -1,7 +1,7 @@
-#!/bin/bash/
+#!/bin/bash
 #the following command returns the number of arguments
 #hint $? will be 0 if there are no errors after any bash command
- 
+
 args=$#
 if [ $args -lt 2 ]
 then
@@ -10,4 +10,15 @@ then
 fi
 folder_path=$1
 link=$2
-#your implementation goes here
+
+mkdir $folder_path
+if [ $? -eq 1 ]
+then
+	exit
+fi
+
+ln -s $folder_path $link
+if [ $? -eq 1 ]
+then
+	exit
+fi
-- 
GitLab